package uoc.testlink4android.db.daos;

import java.util.List;

import uoc.testlink4android.models.TestCase;
import uoc.testlink4android.testlink.constants.ExecutionStatus;

/**
 * Created by haivision on 29/11/2016.
 */

public interface ITestCaseDao {
    public TestCase fetchTestCaseById(int testCaseId);

    public List<TestCase> fetchTestCasesByTestPlanId(int testPlanId);

    //    public boolean addTestCase(TestCase testPlans);
    public boolean addTestCase(TestCase testCase, Integer testPlanId);

    public boolean deleteAllTestCases();

    public boolean addTestCases(List<TestCase> testCases, Integer testPlanId);

    public boolean updateTestCase(int testCaseId, ExecutionStatus newExecutionStatus);
}
