package uoc.testlink4android.db.daos;

import java.util.List;

import uoc.testlink4android.models.TestCaseStep;

public interface ITestCaseStepDao {
    public TestCaseStep fetchTestCaseStepById(int testCaseStepId);

    public boolean addTestCaseSteps(List<TestCaseStep> testCaseSteps, int testCaseId);

    public boolean deleteAllTestCaseSteps();

    public List<TestCaseStep> fetchAllTestCaseStepsByTestCaseId(int testCaseId);

    public boolean addTestCaseStep(TestCaseStep testCaseSteps, int testCaseId);
}
