package uoc.testlink4android.db.daos;

import java.util.List;

import uoc.testlink4android.models.User;

public interface IUserDao {
    public User fetchUserById(int userId);

    public List<uoc.testlink4android.models.User> fetchAllUsers();

    // add user
    public boolean addUser(User user);

    // add users in bulk
    public boolean addUsers(List<User> users);

    public boolean deleteAllUsers();
}
