package uoc.testlink4android.db.schemas;

public interface IBuildSchema {
    public static String BUILD_TABLE = "build";
    public static String COLUMN_ID = "_id";
    public static String COLUMN_TESTPLAN_ID = "testPlanId";
    public static String COLUMN_NAME = "buildName";
    public static String COLUMN_NOTES = "buildNotes";

    public static String BUILD_TABLE_CREATE = "CREATE TABLE IF NOT EXISTS "
            + BUILD_TABLE
            + " ("
            + COLUMN_ID
            + " INTEGER PRIMARY KEY, "
            + COLUMN_TESTPLAN_ID
            + " INTEGER, "
            + COLUMN_NAME
            + " TEXT,"
            + COLUMN_NOTES
            + " TEXT "
            + ")";

    String[] BUILD_COLUMNS = new String[]{COLUMN_ID,
            COLUMN_TESTPLAN_ID, COLUMN_NAME, COLUMN_NOTES};
}
