package uoc.testlink4android.db.schemas;

/**
 * Created by haivision on 29/11/2016.
 */

public interface ITestCaseSchema {

    public static String TESTCASE_TABLE = "testcase";
    public static String COLUMN_ID = "_id";
    public static String COLUMN_TEST_CASE_NAME = "name";
    public static String COLUMN_TEST_PROJECT_ID = "testProjectId";
    public static String COLUMN_TEST_SUITE_ID = "testSuiteId";
    public static String COLUMN_AUTHOR_LOGIN = "authorLogin";
    public static String COLUMN_SUMMARY = "summary";
    public static String COLUMN_PRECONDITIONS = "preconditions";
    public static String COLUMN_TEST_CASE_STATUS = "testCaseStatus";
    public static String COLUMN_TEST_IMPORTANCE = "testImportance";
    public static String COLUMN_EXECUTION_TYPE = "executionType";
    public static String COLUMN_EXECUTION_ORDER = "executionOrder";
    public static String COLUMN_ORDER = "_order";
    public static String COLUMN_INTERNAL_ID = "internalId";
    public static String COLUMN_FULL_EXTERNAL_ID = "fullExternalId";
    public static String COLUMN_CHECK_DUPLICATED_NAME = "checkDuplicatedName";
    public static String COLUMN_ACTION_ON_DUPLATED_NAME = "actionOnDuplicatedName";
    public static String COLUMN_VERSION_ID = "versionId";
    public static String COLUMN_VERSION = "version";
    public static String COLUMN_PARENT_ID = "parentId";
    public static String COLUMN_EXECUTION_STATUS = "executionStatus";
    public static String COLUMN_PLATFORM = "platform";
    public static String COLUMN_FEATURE_ID = "featureId";
    public static String COLUMN_KEYWORDS = "keywords";
    public static String COLUMN_TEST_PLAN_ID = "testPlanId";


    public static String TESTCASE_TABLE_CREATE = "CREATE TABLE IF NOT EXISTS "
            + TESTCASE_TABLE
            + " ("
            + COLUMN_ID
            + " INTEGER PRIMARY KEY, "
            + COLUMN_TEST_CASE_NAME
            + " TEXT NOT NULL, "
            + COLUMN_TEST_PROJECT_ID
            + " INTEGER, "
            + COLUMN_TEST_SUITE_ID
            + " TEXT, "
            + COLUMN_AUTHOR_LOGIN
            + " TEXT, "
            + COLUMN_SUMMARY
            + " TEXT, "
            + COLUMN_PRECONDITIONS
            + " TEXT, "
            + COLUMN_TEST_CASE_STATUS
            + " INTEGER, "
            + COLUMN_TEST_IMPORTANCE
            + " INTEGER, "
            + COLUMN_EXECUTION_TYPE
            + " INTEGER, "
            + COLUMN_EXECUTION_ORDER
            + " INTEGER, "
            + COLUMN_ORDER
            + " INTEGER, "
            + COLUMN_INTERNAL_ID
            + " BOOLEAN, "
            + COLUMN_FULL_EXTERNAL_ID
            + " INTEGER, "
            + COLUMN_CHECK_DUPLICATED_NAME
            + " BOOLEAN, "
            + COLUMN_ACTION_ON_DUPLATED_NAME
            + " BOOLEAN, "
            + COLUMN_VERSION_ID
            + " INTEGER, "
            + COLUMN_PARENT_ID
            + " INTEGER, "
            + COLUMN_VERSION
            + " BOOLEAN, "
            + COLUMN_EXECUTION_STATUS
            + " TEXT, "
            + COLUMN_PLATFORM
            + " INTEGER, "
            + COLUMN_FEATURE_ID
            + " INTEGER, "
            + COLUMN_TEST_PLAN_ID
            + " INTEGER, "
            + COLUMN_KEYWORDS
            + " TEXT "
            + ")";

    String[] TESTCASE_COLUMNS = new String[]{COLUMN_ID,
            COLUMN_TEST_CASE_NAME, COLUMN_TEST_PROJECT_ID, COLUMN_TEST_SUITE_ID, COLUMN_AUTHOR_LOGIN, COLUMN_SUMMARY, COLUMN_PRECONDITIONS, COLUMN_TEST_CASE_STATUS, COLUMN_TEST_IMPORTANCE
            , COLUMN_EXECUTION_TYPE, COLUMN_EXECUTION_ORDER, COLUMN_ORDER, COLUMN_INTERNAL_ID, COLUMN_FULL_EXTERNAL_ID, COLUMN_CHECK_DUPLICATED_NAME, COLUMN_ACTION_ON_DUPLATED_NAME, COLUMN_VERSION_ID, COLUMN_PARENT_ID
            , COLUMN_VERSION, COLUMN_EXECUTION_STATUS, COLUMN_PLATFORM, COLUMN_FEATURE_ID, COLUMN_TEST_PLAN_ID, COLUMN_KEYWORDS};

}
