package uoc.testlink4android.db.schemas;

/**
 * Created by haivision on 30/11/2016.
 */

public interface ITestCaseStepSchema {
    public static String TESTCASESTEP_TABLE = "tescasestep";
    public static String COLUMN_ID = "_id";
    public static String COLUMN_TEST_CASE_VERSION_ID = "testCaseVersionId";
    public static String COLUMN_NUMBER = "number";
    public static String COLUMN_ACTIONS = "actions";
    public static String COLUMN_EXPECTED_RESULTS = "expectedResults";
    public static String COLUMN_ACTIVE = "action";
    public static String COLUMN_EXECUTION_TYPE = "executionType";
    public static String COLUMN_TEST_CASE_ID = "testCaseId";


    public static String TESTCASESTEP_TABLE_CREATE = "CREATE TABLE IF NOT EXISTS "
            + TESTCASESTEP_TABLE
            + " ("
            + COLUMN_ID
            + " INTEGER PRIMARY KEY, "
            + COLUMN_TEST_CASE_VERSION_ID
            + " INTEGER, "
            + COLUMN_NUMBER
            + " INTEGER,"
            + COLUMN_ACTIONS
            + " TEXT, "
            + COLUMN_EXPECTED_RESULTS
            + " TEXT, "
            + COLUMN_ACTIVE
            + " BOOLEAN, "
            + COLUMN_EXECUTION_TYPE
            + " BOOLEAN, "
            + COLUMN_TEST_CASE_ID
            + " INTEGER"
            + ")";

    String[] TESTCASESTEP_COLUMNS = new String[]{COLUMN_ID,
            COLUMN_TEST_CASE_VERSION_ID, COLUMN_NUMBER, COLUMN_ACTIONS, COLUMN_EXPECTED_RESULTS, COLUMN_ACTIVE, COLUMN_EXECUTION_TYPE, COLUMN_TEST_CASE_ID};

}
