package uoc.testlink4android.db.schemas;

/**
 * Created by haivision on 27/11/2016.
 */

//private Integer id;
//private String name;
//private String prefix;
//private String notes;
//private Boolean enableRequirements = Boolean.FALSE;
//private Boolean enableTestPriority = Boolean.FALSE;
//private Boolean enableAutomation = Boolean.FALSE;
//private Boolean enableInventory = Boolean.FALSE;
//private Boolean isActive = Boolean.TRUE;
//private Boolean isPublic = Boolean.TRUE;

public interface ITestProjectSchema {
    public static String TESTPROJECT_TABLE = "testproject";
    public static String COLUMN_ID = "_id";
    public static String COLUMN_NAME = "name";
    public static String COLUMN_PREFIX = "prefix";
    public static String COLUMN_NOTES = "notes";
    public static String COLUMN_COLOR = "color";
    public static String COLUMN_ENABLE_REQUIREMENTS = "enableRequirements";
    public static String COLUMN_ENABLE_TEST_PRIORITY = "enableTestPriority";
    public static String COLUMN_ENABLE_INVENTORY = "enableInventory";
    public static String COLUMN_ENABLE_AUTOMATION = "enableAutomation";

    public static String COLUMN_IS_ACTIVE = "isActive";
    public static String COLUMN_IS_PUBLIC = "isPublic";

    public static String TESTPROYECT_TABLE_CREATE = "CREATE TABLE IF NOT EXISTS "
            + TESTPROJECT_TABLE
            + " ("
            + COLUMN_ID
            + " INTEGER PRIMARY KEY, "
            + COLUMN_NAME
            + " TEXT NOT NULL, "
            + COLUMN_PREFIX
            + " TEXT,"
            + COLUMN_NOTES
            + " TEXT, "
            + COLUMN_COLOR
            + " INTEGER, "
            + COLUMN_ENABLE_REQUIREMENTS
            + " BOOLEAN, "
            + COLUMN_ENABLE_TEST_PRIORITY
            + " BOOLEAN, "
            + COLUMN_ENABLE_INVENTORY
            + " BOOLEAN, "
            + COLUMN_ENABLE_AUTOMATION
            + " BOOLEAN, "
            + COLUMN_IS_ACTIVE
            + " BOOLEAN, "
            + COLUMN_IS_PUBLIC
            + " BOOLEAN "
            + ")";

    String[] TESTPROJECT_COLUMNS = new String[]{COLUMN_ID,
            COLUMN_NAME, COLUMN_PREFIX, COLUMN_NOTES, COLUMN_COLOR, COLUMN_ENABLE_REQUIREMENTS, COLUMN_ENABLE_TEST_PRIORITY, COLUMN_ENABLE_INVENTORY, COLUMN_ENABLE_AUTOMATION, COLUMN_IS_ACTIVE, COLUMN_IS_PUBLIC};


}
