package uoc.testlink4android.db.daos;

import java.util.List;

import uoc.testlink4android.models.CustomField;

/**
 * Created by haivision on 02/12/2016.
 */

public interface ICustomFieldDao {
    public CustomField fetchCustomFieldById(int customFieldId);

    public List<CustomField> fetchAllCustomFields();

    public boolean addCustomField(CustomField customField, int testCaseId);

    public boolean addCustomFields(List<CustomField> customFields, int testCaseId);

    public boolean deleteAllCustomFields();

    public List<CustomField> fetchAllCustomFieldsByTestCaseId(int testCaseId);
}
