package uoc.testlink4android.db.daos;

import java.util.List;

import uoc.testlink4android.models.TestPlan;

/**
 * Created by haivision on 14/11/2016.
 */

public interface ITestPlanDao {
    public TestPlan fetchTestPlanById(int testPlanId);

    public List<TestPlan> fetchTestPlansByProjectId(String[] projectIdList);

    public List<TestPlan> fetchTestPlansByProjectId(Integer projectId);

    public List<TestPlan> fetchAllTestPlans();

    public boolean addTestPlan(TestPlan testPlans);

    public boolean addTestPlans(List<TestPlan> testPlans);

    public boolean deleteAllTestPlans();

    public long testPlanSize(int testPlanId);

    public long executedTests(int testPlanId);

    public long passedTests(int testPlanId);

    public long failedTests(int testPlanId);
}
