package uoc.testlink4android.db.schemas;

/**
 * Created by haivision on 08/01/2017.
 */

public interface IExecutionSchema {
    public static String EXECUTION_TABLE = "execution";
    public static String COLUMN_ID = "_id";
    public static String COLUMN_TEST_CASE_ID = "testCaseId";
    public static String COLUMN_TESTER_ID = "testerId";
    public static String COLUMN_EXECUTION_TIME_STAMP = "executionTimeStamp";
    public static String COLUMN_STATUS = "status";
    public static String COLUMN_TEST_PLAN_ID = "testPlanId";
    public static String COLUMN_BUILD_ID = "buildId";
    public static String COLUMN_TEST_CASE_VERSION_ID = "testCaseVersionId";
    public static String COLUMN_TEST_CASE_VERSION_NUMBER = "testCaseVersionNumber";
    public static String COLUMN_EXECUTION_TYPE = "executionType";
    public static String COLUMN_NOTES = "notes";

    public static String EXECUTION_TABLE_CREATE = "CREATE TABLE IF NOT EXISTS "
            + EXECUTION_TABLE
            + " ("
            + COLUMN_ID
            + " INTEGER PRIMARY KEY AUTOINCREMENT, "
            + COLUMN_TEST_CASE_ID
            + " INTEGER, "
            + COLUMN_BUILD_ID
            + " INTEGER, "
            + COLUMN_TESTER_ID
            + " INTEGER, "
            + COLUMN_EXECUTION_TIME_STAMP
            + " INTEGER, "
            + COLUMN_STATUS
            + " TEXT, "
            + COLUMN_TEST_PLAN_ID
            + " INTEGER, "
            + COLUMN_TEST_CASE_VERSION_ID
            + " INTEGER, "
            + COLUMN_TEST_CASE_VERSION_NUMBER
            + " INTEGER, "
            + COLUMN_EXECUTION_TYPE
            + " INTEGER, "
            + COLUMN_NOTES
            + " TEXT"
            + ")";

    String[] EXECUTION_COLUMNS = new String[]{COLUMN_ID,
            COLUMN_BUILD_ID,
            COLUMN_TEST_CASE_ID,
            COLUMN_TESTER_ID,
            COLUMN_EXECUTION_TIME_STAMP,
            COLUMN_STATUS,
            COLUMN_TEST_PLAN_ID,
            COLUMN_TEST_CASE_VERSION_ID,
            COLUMN_TEST_CASE_VERSION_NUMBER,
            COLUMN_EXECUTION_TYPE,
            COLUMN_NOTES};

}
