package uoc.testlink4android.db.schemas;

public interface ITestPlanSchema {

    public static String TESTPLAN_TABLE = "testplan";
    public static String COLUMN_ID = "_id";
    public static String COLUMN_TESTPLAN_NAME = "name";
    public static String COLUMN_PROJECT_NAME = "projectName";
    public static String COLUMN_PROJECT_ID = "projectId";
    public static String COLUMN_NOTES = "notes";
    public static String COLUMN_IS_ACTIVE = "isActive";
    public static String COLUMN_IS_PUBLIC = "isPublic";

    public static String TESTPLAN_TABLE_CREATE = "CREATE TABLE IF NOT EXISTS "
            + TESTPLAN_TABLE
            + " ("
            + COLUMN_ID
            + " INTEGER PRIMARY KEY, "
            + COLUMN_TESTPLAN_NAME
            + " TEXT NOT NULL, "
            + COLUMN_PROJECT_NAME
            + " TEXT,"
            + COLUMN_PROJECT_ID
            + " INTEGER,"
            + COLUMN_NOTES
            + " TEXT, "
            + COLUMN_IS_ACTIVE
            + " BOOLEAN, "
            + COLUMN_IS_PUBLIC
            + " BOOLEAN "
            + ")";

    String[] TESTPLAN_COLUMNS = new String[]{COLUMN_ID,
            COLUMN_TESTPLAN_NAME, COLUMN_PROJECT_NAME, COLUMN_PROJECT_ID, COLUMN_NOTES, COLUMN_IS_ACTIVE, COLUMN_IS_PUBLIC};

}
